[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.BeepOnError

BeepOnError - if True, beeps when there is an entry error or other calculator error.

## Declaration

Source position: extdlgs.pas line 175

`published property TCalculatorDialog.BeepOnError : Boolean read FBeepOnError write FBeepOnError default True;`

## Description

BeepOnError is a Boolean property which indicates if a beep occurs when an error occurs in the calculator dialog. The default value for the property is True. The value in BeepOnError is assigned to the corresponding property in DlgForm in the Execute method.

## See also

TCalculatorDialog.Execute |  | Creates, configures, and displays the form for the calculator dialog.
TCalculatorForm |  | Implements the form used to display a calculator for a TCalculatorDialog instance.